- name: Create Geo secondary instance
  gcp_compute_instance:
    name: "{{ secondary_instance }}"
    machine_type: "{{ machine_type }}"
    disks:
      - auto_delete: true
        boot: true
        device_name: "disk-instance-secondary-{{ prefix_name }}"
        initialize_params:
          disk_name: "disk-instance-secondary-{{ prefix_name }}"
          disk_size_gb: 30
          disk_type: pd-ssd
          source_image: "{{ image }}"
    network_interfaces:
      - access_configs:
        - name: External NAT
          type: ONE_TO_ONE_NAT
    zone: "{{ zone }}"
    project: "{{ project_id }}"
    auth_kind: serviceaccount
    service_account_file: "{{ credentials_file }}"
    state: present
    tags:
      items:
        - geo-ansible
  register: gce_secondary
